Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Jason Gunthorpe)
Date: Wed, 23 Oct 2013 12:54:35 -0600

On Wed, Oct 23, 2013 at 08:30:42PM +0200, Richard Cochran wrote:
> On Wed, Oct 23, 2013 at 12:25:02PM -0600, Jason Gunthorpe wrote:

> > On ARM the package of 'stuff' can very reasonably include dtb. Distro
> > scripts can package modules+DTB+vmlinuz into something the bootloader
> > can understand. (The next pain point will be to standardize that)
> > 
> > The DTB doesn't have to be 'outside' the distro/kernel to give users a
> > seamless upgrade experience.
> 
> How can a distro possibly provide me a DTB?
> 
> They don't know what hardware I am using. Only I know that.

I'm not sure what you are asking? Treat DTBs like kernel drivers. If
you make hardware and you want distros to run on it, you have to
provide the DTB for that hardware to mainline+distros.

Remember, there are two ways to view DTB:
  a) It comes from the firmware and you have to live with whatever
     crap the firmware does
  b) It comes from the kernel, must match the kernel, and we don't
     have to tolerate crap in the DTB.

Both make sense, but, IMHO, minimizing the occurrence of 'a' is a
good goal...

Jason